
%define pypi_name pyobjus

BuildRequires: gcc
BuildRequires: sed
BuildRequires: libffi-devel
%define debug_package %{nil}
%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        1.2.4.dev0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary: Access Objective-C classes from Python

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL: pyobjus.readthedocs.io
Source:         pyobjus-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  fdupes

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
None}

%description %_description

%package -n %{python_name}
Summary: Access Objective-C classes from Python

%description -n %{python_name} %_description

%prep
%autosetup -p1 -n pyobjus-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files

%pyproject_save_files '*' +auto
rm -rfv %{buildroot}%{_datadir} ||: ; sed -i 's#%{_datadir}.*##g;' %{pyproject_files}

%if %{with test}
%check
%pyproject_check_import
%pytest_arch
%endif

%files -n %{python_name} -f %{pyproject_files}

%changelog
%autochangelog

